#pragma once
#ifndef __CONFIG__
#define __CONFIG__

// 로고, 메인메뉴, 게임 화면 등 각각의 씬
enum class Scene 
{
    logo = 0, titleMenu, game, scoreScene
};

// 전역적으로 사용할 싱글톤 클래스
class SceneManager 
{
    private:
        SceneManager() {} 
        static SceneManager* instance; 

    public:

        static SceneManager* GetInstance()
        {
            if (instance != nullptr)
            {
                return instance;
            }else
            {
                instance = new SceneManager();
                return instance;
            }
        }

        bool gameExit;
        Scene scene;
        Scene lastSce;
};

 #endif


